> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Chains

> Retrieves a list of all supported blockchain networks with their detailed information.



## OpenAPI

````yaml https://api.adamik.io/openapi.json get /api/chains
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/chains:
    get:
      tags:
        - Chain
      summary: Get Supported Chains
      description: >-
        Retrieves a list of all supported blockchain networks with their
        detailed information.
      responses:
        '200':
          description: >-
            Returns a list of names and detailed information for all supported
            blockchain networks.
          content:
            application/json:
              schema:
                type: object
                properties:
                  chains:
                    type: object
                    properties:
                      aptos:
                        $ref: '#/components/schemas/Chain'
                      aptos-testnet:
                        $ref: '#/components/schemas/Chain'
                      algorand:
                        $ref: '#/components/schemas/Chain'
                      ethereum:
                        $ref: '#/components/schemas/Chain'
                      sepolia:
                        $ref: '#/components/schemas/Chain'
                      holesky:
                        $ref: '#/components/schemas/Chain'
                      hoodi:
                        $ref: '#/components/schemas/Chain'
                      zksync:
                        $ref: '#/components/schemas/Chain'
                      zksync-sepolia:
                        $ref: '#/components/schemas/Chain'
                      injective-evm-testnet:
                        $ref: '#/components/schemas/Chain'
                      base:
                        $ref: '#/components/schemas/Chain'
                      base-sepolia:
                        $ref: '#/components/schemas/Chain'
                      optimism:
                        $ref: '#/components/schemas/Chain'
                      optimism-sepolia:
                        $ref: '#/components/schemas/Chain'
                      arbitrum:
                        $ref: '#/components/schemas/Chain'
                      arbitrum-sepolia:
                        $ref: '#/components/schemas/Chain'
                      polygon:
                        $ref: '#/components/schemas/Chain'
                      polygon-amoy:
                        $ref: '#/components/schemas/Chain'
                      bsc:
                        $ref: '#/components/schemas/Chain'
                      bsc-testnet:
                        $ref: '#/components/schemas/Chain'
                      linea:
                        $ref: '#/components/schemas/Chain'
                      linea-sepolia:
                        $ref: '#/components/schemas/Chain'
                      avalanche:
                        $ref: '#/components/schemas/Chain'
                      avalanche-fuji:
                        $ref: '#/components/schemas/Chain'
                      gnosis:
                        $ref: '#/components/schemas/Chain'
                      gnosis-chiado:
                        $ref: '#/components/schemas/Chain'
                      moonbeam:
                        $ref: '#/components/schemas/Chain'
                      moonriver:
                        $ref: '#/components/schemas/Chain'
                      moonbase:
                        $ref: '#/components/schemas/Chain'
                      fantom:
                        $ref: '#/components/schemas/Chain'
                      mantle:
                        $ref: '#/components/schemas/Chain'
                      chiliz:
                        $ref: '#/components/schemas/Chain'
                      chiliz-testnet:
                        $ref: '#/components/schemas/Chain'
                      ton:
                        $ref: '#/components/schemas/Chain'
                      tron:
                        $ref: '#/components/schemas/Chain'
                      rootstock:
                        $ref: '#/components/schemas/Chain'
                      rootstock-testnet:
                        $ref: '#/components/schemas/Chain'
                      bitcoin:
                        $ref: '#/components/schemas/Chain'
                      bitcoin-testnet:
                        $ref: '#/components/schemas/Chain'
                      bitcoin-signet:
                        $ref: '#/components/schemas/Chain'
                      litecoin:
                        $ref: '#/components/schemas/Chain'
                      dogecoin:
                        $ref: '#/components/schemas/Chain'
                      starknet:
                        $ref: '#/components/schemas/Chain'
                      starknet-sepolia:
                        $ref: '#/components/schemas/Chain'
                      monad-testnet:
                        $ref: '#/components/schemas/Chain'
                      bitsong:
                        $ref: '#/components/schemas/Chain'
                      chihuahua:
                        $ref: '#/components/schemas/Chain'
                      seda:
                        $ref: '#/components/schemas/Chain'
                      persistence:
                        $ref: '#/components/schemas/Chain'
                      comdex:
                        $ref: '#/components/schemas/Chain'
                      humans-ai:
                        $ref: '#/components/schemas/Chain'
                      ki:
                        $ref: '#/components/schemas/Chain'
                      provenance:
                        $ref: '#/components/schemas/Chain'
                      quicksilver:
                        $ref: '#/components/schemas/Chain'
                      saga:
                        $ref: '#/components/schemas/Chain'
                      kava:
                        $ref: '#/components/schemas/Chain'
                      sei:
                        $ref: '#/components/schemas/Chain'
                      fetch-ai:
                        $ref: '#/components/schemas/Chain'
                      cosmoshub:
                        $ref: '#/components/schemas/Chain'
                      osmosis:
                        $ref: '#/components/schemas/Chain'
                      celestia:
                        $ref: '#/components/schemas/Chain'
                      dydx:
                        $ref: '#/components/schemas/Chain'
                      axelar:
                        $ref: '#/components/schemas/Chain'
                      evmos:
                        $ref: '#/components/schemas/Chain'
                      irisnet:
                        $ref: '#/components/schemas/Chain'
                      juno:
                        $ref: '#/components/schemas/Chain'
                      lum-network:
                        $ref: '#/components/schemas/Chain'
                      omniflix:
                        $ref: '#/components/schemas/Chain'
                      medibloc:
                        $ref: '#/components/schemas/Chain'
                      passage:
                        $ref: '#/components/schemas/Chain'
                      quasar:
                        $ref: '#/components/schemas/Chain'
                      sommelier:
                        $ref: '#/components/schemas/Chain'
                      shentu:
                        $ref: '#/components/schemas/Chain'
                      stride:
                        $ref: '#/components/schemas/Chain'
                      terra2:
                        $ref: '#/components/schemas/Chain'
                      akash:
                        $ref: '#/components/schemas/Chain'
                      dymension:
                        $ref: '#/components/schemas/Chain'
                      band:
                        $ref: '#/components/schemas/Chain'
                      stargaze:
                        $ref: '#/components/schemas/Chain'
                      kyve:
                        $ref: '#/components/schemas/Chain'
                      likecoin:
                        $ref: '#/components/schemas/Chain'
                      osmosis-testnet:
                        $ref: '#/components/schemas/Chain'
                      celestia-testnet:
                        $ref: '#/components/schemas/Chain'
                      cosmoshub-testnet:
                        $ref: '#/components/schemas/Chain'
                      injective:
                        $ref: '#/components/schemas/Chain'
                      babylon:
                        $ref: '#/components/schemas/Chain'
                      babylon-testnet:
                        $ref: '#/components/schemas/Chain'
                      berachain:
                        $ref: '#/components/schemas/Chain'
                      berachain-bepolia:
                        $ref: '#/components/schemas/Chain'
                      cronos:
                        $ref: '#/components/schemas/Chain'
                      world-chain:
                        $ref: '#/components/schemas/Chain'
                      world-chain-sepolia:
                        $ref: '#/components/schemas/Chain'
                      hyperliquid:
                        $ref: '#/components/schemas/Chain'
                      solana:
                        $ref: '#/components/schemas/Chain'
                      stellar:
                        $ref: '#/components/schemas/Chain'
                      stellar-testnet:
                        $ref: '#/components/schemas/Chain'
                    additionalProperties: false
                required:
                  - chains
components:
  schemas:
    Chain:
      type: object
      properties:
        family:
          $ref: '#/components/schemas/ChainFamily'
        id:
          $ref: '#/components/schemas/ChainId'
        nativeId:
          type: string
        name:
          type: string
        ticker:
          type: string
        decimals:
          type: number
        isTestnetFor:
          type: string
        supportedFeatures:
          $ref: '#/components/schemas/ChainSupportedFeatures'
        signerSpec:
          $ref: '#/components/schemas/SignerSpec'
      required:
        - family
        - id
        - nativeId
        - name
        - ticker
        - decimals
        - supportedFeatures
        - signerSpec
      description: Chain details and information
    ChainFamily:
      type: string
      enum:
        - aptos
        - algorand
        - cosmos
        - evm
        - bitcoin
        - tron
        - ton
        - starknet
        - solana
        - stellar
      description: Family to which the chain belongs
    ChainId:
      type: string
      enum:
        - aptos
        - aptos-testnet
        - algorand
        - ethereum
        - sepolia
        - holesky
        - hoodi
        - zksync
        - zksync-sepolia
        - injective-evm-testnet
        - base
        - base-sepolia
        - optimism
        - optimism-sepolia
        - arbitrum
        - arbitrum-sepolia
        - polygon
        - polygon-amoy
        - bsc
        - bsc-testnet
        - linea
        - linea-sepolia
        - avalanche
        - avalanche-fuji
        - gnosis
        - gnosis-chiado
        - moonbeam
        - moonriver
        - moonbase
        - fantom
        - mantle
        - chiliz
        - chiliz-testnet
        - ton
        - tron
        - rootstock
        - rootstock-testnet
        - bitcoin
        - bitcoin-testnet
        - bitcoin-signet
        - litecoin
        - dogecoin
        - starknet
        - starknet-sepolia
        - monad-testnet
        - bitsong
        - chihuahua
        - seda
        - persistence
        - comdex
        - humans-ai
        - ki
        - provenance
        - quicksilver
        - saga
        - kava
        - sei
        - fetch-ai
        - cosmoshub
        - osmosis
        - celestia
        - dydx
        - axelar
        - evmos
        - irisnet
        - juno
        - lum-network
        - omniflix
        - medibloc
        - passage
        - quasar
        - sommelier
        - shentu
        - stride
        - terra2
        - akash
        - dymension
        - band
        - stargaze
        - kyve
        - likecoin
        - osmosis-testnet
        - celestia-testnet
        - cosmoshub-testnet
        - injective
        - babylon
        - babylon-testnet
        - berachain
        - berachain-bepolia
        - cronos
        - world-chain
        - world-chain-sepolia
        - hyperliquid
        - solana
        - stellar
        - stellar-testnet
      description: Unique adamik identifier of the chain
    ChainSupportedFeatures:
      type: object
      properties:
        read:
          type: object
          properties:
            token:
              type: boolean
            validators:
              type: boolean
            transaction:
              type: object
              properties:
                native:
                  type: boolean
                tokens:
                  type: boolean
                staking:
                  type: boolean
              required:
                - native
                - tokens
                - staking
            account:
              type: object
              properties:
                balances:
                  type: object
                  properties:
                    native:
                      type: boolean
                    tokens:
                      type: boolean
                    staking:
                      type: boolean
                  required:
                    - native
                    - tokens
                    - staking
                transactions:
                  type: object
                  properties:
                    native:
                      type: boolean
                    tokens:
                      type: boolean
                    staking:
                      type: boolean
                  required:
                    - native
                    - tokens
                    - staking
              required:
                - balances
                - transactions
          required:
            - token
            - validators
            - transaction
            - account
        write:
          type: object
          properties:
            transaction:
              type: object
              properties:
                type:
                  type: object
                  properties:
                    deployAccount:
                      type: boolean
                    transfer:
                      type: boolean
                    transferToken:
                      type: boolean
                    enableToken:
                      type: boolean
                    stake:
                      type: boolean
                    unstake:
                      type: boolean
                    claimRewards:
                      type: boolean
                    withdraw:
                      type: boolean
                    registerStake:
                      type: boolean
                    convertAsset:
                      type: boolean
                  additionalProperties: false
                field:
                  type: object
                  properties:
                    memo:
                      type: boolean
                  required:
                    - memo
              required:
                - type
                - field
          required:
            - transaction
        utils:
          type: object
          properties:
            addresses:
              type: boolean
          required:
            - addresses
      required:
        - read
        - write
        - utils
      description: List of supported features for the chain
    SignerSpec:
      type: object
      properties:
        curve:
          type: string
          enum:
            - secp256k1
            - ed25519
            - stark
        hashFunction:
          type: string
          enum:
            - sha256
            - keccak256
            - sha512_256
            - pedersen
        signatureFormat:
          type: string
          enum:
            - rsv
            - rs
        coinType:
          type: string
      required:
        - curve
        - hashFunction
        - signatureFormat
        - coinType
      description: List of signer specificity for the chain
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````